Subject: bug#48125: 28.0.50; Display garbled by emoji variation sequence

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 May 2021 14:49:54 +0300

> From: Filipp Gunbin <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 04 May 2021 23:36:19 +0300
> 
> Ok, I have two continuation backslashes in the end of the screen line
> with soccer balls.  But what I wanted to note is that on continuation
> lines, I get equal column numbers at different screen positions.
> 
> I've now made two screenshots with point at each EOL, to show that
> screen positions are different.

OK, but what is the point you want to make?  current-column doesn't
measure screen coordinates, it measures the sum of character-widths.
A single-width character increments the column count by 1, a
double-width character increments it by 2.  Given this fact, is there
something wrong that you see with the reported column in each case?